org.kie.internal.task.query

## Interface TaskQueryBuilder

- All Superinterfaces:
    ExtendedParametrizedQueryBuilder<TaskQueryBuilder,org.kie.api.task.model.TaskSummary>, ParametrizedQueryBuilder<TaskQueryBuilder>, ProcessIdQueryBuilder<TaskQueryBuilder,org.kie.api.task.model.TaskSummary>, ProcessInstanceIdQueryBuilder<TaskQueryBuilder,org.kie.api.task.model.TaskSummary>

      public interface TaskQueryBuilder
      extends ProcessIdQueryBuilder<TaskQueryBuilder,org.kie.api.task.model.TaskSummary>

  An instance of this class is used to dynamically create a query to retrieve `TaskSummary` instances. One of the main motivations behind this class is that adding new methods to this method provides a (factorial) increase in ways to query for `TaskSummary` instances without unnecessarily cluttering up the interface, unlike the deprecated "get*" method signatures,

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TaskQueryBuilder.OrderBy` /** An enum used to specify the criteria for ordering the results of the query

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskQueryBuilder` | `activationTime(Date... activationTime)` Add one or more activation times as a criteria to the query
    `TaskQueryBuilder` | `activationTimeRange(Date activationTimeMin, Date activationTimeMax)` Specify an inclusive range of (task) activation-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskQueryBuilder` | `actualOwner(String... actualOwnerUserId)` Add one or more (actual) task owner ids as a criteria to the query
    `TaskQueryBuilder` | `archived(boolean archived)` Add whether or not the task is archived as a criteria to the query
    `TaskQueryBuilder` | `ascending(TaskQueryBuilder.OrderBy orderBy)` Order the results in ascending order by the given parameter results are ordered by default by task id.
    `TaskQueryBuilder` | `businessAdmin(String... businessAdminId)` Add one or more business administrator (user) ids as a criteria to the query
    `TaskQueryBuilder` | `createdBy(String... createdById)` Add one or more initiator user ids as a criteria to the query The initiator is also the user who created the task.
    `TaskQueryBuilder` | `createdOn(Date... createdOnDate)` Add one or more creation dates as a criteria to the query
    `TaskQueryBuilder` | `createdOnRange(Date createdOnMin, Date createdOnMax)` Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskQueryBuilder` | `deploymentId(String... deploymentId)` Add one or more deployment ids as a criteria to the query
    `TaskQueryBuilder` | `descending(TaskQueryBuilder.OrderBy orderBy)` Order the results in descending order by the given parameter results are ordered by default by task id.
    `TaskQueryBuilder` | `description(String... description)` Add one or more descriptions as a criteria to the query
    `TaskQueryBuilder` | `expirationTime(Date... expirationTime)` Add one or more expiration times as a criteria to the query
    `TaskQueryBuilder` | `expirationTimeRange(Date expirationTimeMin, Date expirationTimeMax)` Specify an inclusive range of (task) expiration-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskQueryBuilder` | `formName(String... formName)` Add one or more (task) form names as a criteria to the query
    `TaskQueryBuilder` | `name(String... name)` Add one or more (task) names as a criteria to the query
    `TaskQueryBuilder` | `potentialOwner(String... potentialOwnerId)` Add one or more potential owner ids as a criteria to the query
    `TaskQueryBuilder` | `priority(int... priority)` Add one or more priorities as a criteria to the query
    `TaskQueryBuilder` | `processSessionId(long... processSessionId)` Add one or more work item ids as a criteria to the query
    `TaskQueryBuilder` | `skippable(boolean skippable)` Add whether or not the task is skippable as a criteria to the query
    `TaskQueryBuilder` | `stakeHolder(String... stakeHolderId)` Add one or more stake holder (user) ids as a criteria to the query
    `TaskQueryBuilder` | `status(org.kie.api.task.model.Status... status)` Add one or more statuses as a criteria to the query
    `TaskQueryBuilder` | `subject(String... subject)` Add one or more subjects as a criteria to the query
    `TaskQueryBuilder` | `subTaskStrategy(SubTasksStrategy... subTasksStrategy)` Add one or more (task) sub-task-strategies as a criteria to the query
    `TaskQueryBuilder` | `taskId(long... taskId)` Add one or more task ids as a criteria to the query
    `TaskQueryBuilder` | `taskIdRange(Long taskIdMin, Long taskIdMax)` Specify an inclusive range of (task) ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskQueryBuilder` | `taskParentId(long... taskParentId)` Add one or more (task) parent ids as a criteria to the query
    `TaskQueryBuilder` | `taskType(String... taskType)` Add one or more (task) types as a criteria to the query
    `TaskQueryBuilder` | `workItemId(long... workItemId)` Add one or more work item ids as a criteria to the query

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `clear, equals, intersect, like, maxResults, offset, union`

- - ### Method Detail

    - #### activationTime

          TaskQueryBuilder activationTime(Date... activationTime)

      Add one or more activation times as a criteria to the query
      Parameters:
        `activationTime` - one or more `Date` values
      Returns:
        the current `TaskQueryBuilder` instance

    - #### activationTimeRange

          TaskQueryBuilder activationTimeRange(Date activationTimeMin,
                                             Date activationTimeMax)

      Specify an inclusive range of (task) activation-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `activationTimeMin` - the minimal (lower) date to use in the range
        `activationTimeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### actualOwner

          TaskQueryBuilder actualOwner(String... actualOwnerUserId)

      Add one or more (actual) task owner ids as a criteria to the query
      Parameters:
        `actualOwnerUserId` -
      Returns:
        the current `TaskQueryBuilder` instance

    - #### archived

          TaskQueryBuilder archived(boolean archived)

      Add whether or not the task is archived as a criteria to the query
      Parameters:
        `archived` - a boolean
      Returns:
        the current `TaskQueryBuilder` instance

    - #### createdBy

          TaskQueryBuilder createdBy(String... createdById)

      Add one or more initiator user ids as a criteria to the query The initiator is also the user who created the task.
      Parameters:
        `createdById` -
      Returns:
        the current `TaskQueryBuilder` instance

    - #### createdOn

          TaskQueryBuilder createdOn(Date... createdOnDate)

      Add one or more creation dates as a criteria to the query
      Parameters:
        `createdOnDate` - one or more `Date` values
      Returns:
        the current `TaskQueryBuilder` instance

    - #### createdOnRange

          TaskQueryBuilder createdOnRange(Date createdOnMin,
                                        Date createdOnMax)

      Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `createdOnMin` - the minimal (lower) date to use in the range
        `createdOnMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### deploymentId

          TaskQueryBuilder deploymentId(String... deploymentId)

      Add one or more deployment ids as a criteria to the query
      Parameters:
        `deploymentId` -
      Returns:
        the current `TaskQueryBuilder` instance

    - #### description

          TaskQueryBuilder description(String... description)

      Add one or more descriptions as a criteria to the query
      Parameters:
        `description` - one or more strings
      Returns:
        the current `TaskQueryBuilder` instance

    - #### expirationTime

          TaskQueryBuilder expirationTime(Date... expirationTime)

      Add one or more expiration times as a criteria to the query
      Parameters:
        `expirationTime` - one or more `Date` values
      Returns:
        the current `TaskQueryBuilder` instance

    - #### expirationTimeRange

          TaskQueryBuilder expirationTimeRange(Date expirationTimeMin,
                                             Date expirationTimeMax)

      Specify an inclusive range of (task) expiration-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `expirationTimeMin` - the minimal (lower) date to use in the range
        `expirationTimeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### formName

          TaskQueryBuilder formName(String... formName)

      Add one or more (task) form names as a criteria to the query
      Parameters:
        `formName` - one or more strings
      Returns:
        the current `TaskQueryBuilder` instance

    - #### name

          TaskQueryBuilder name(String... name)

      Add one or more (task) names as a criteria to the query
      Parameters:
        `name` - one or more strings
      Returns:
        the current `TaskQueryBuilder` instance

    - #### processSessionId

          TaskQueryBuilder processSessionId(long... processSessionId)

      Add one or more work item ids as a criteria to the query
      Parameters:
        `processSessionId` - one or more longs
      Returns:
        the current `TaskQueryBuilder` instance

    - #### skippable

          TaskQueryBuilder skippable(boolean skippable)

      Add whether or not the task is skippable as a criteria to the query
      Parameters:
        `skippable` - a boolean
      Returns:
        the current `TaskQueryBuilder` instance

    - #### status

          TaskQueryBuilder status(org.kie.api.task.model.Status... status)

      Add one or more statuses as a criteria to the query
      Parameters:
        `status` -
      Returns:
        the current `TaskQueryBuilder` instance

    - #### subject

          TaskQueryBuilder subject(String... subject)

      Add one or more subjects as a criteria to the query
      Parameters:
        `subject` - one or more strings
      Returns:
        the current `TaskQueryBuilder` instance

    - #### subTaskStrategy

          TaskQueryBuilder subTaskStrategy(SubTasksStrategy... subTasksStrategy)

      Add one or more (task) sub-task-strategies as a criteria to the query
      Parameters:
        `subTasksStrategy` - one or more `SubTasksStrategy` values
      Returns:
        the current `TaskQueryBuilder` instance

    - #### taskId

          TaskQueryBuilder taskId(long... taskId)

      Add one or more task ids as a criteria to the query
      Parameters:
        `taskId` -
      Returns:
        the current `TaskQueryBuilder` instance

    - #### taskIdRange

          TaskQueryBuilder taskIdRange(Long taskIdMin,
                                     Long taskIdMax)

      Specify an inclusive range of (task) ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `taskIdMin` - the minimal (lower) date to use in the range
        `taskIdMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### taskParentId

          TaskQueryBuilder taskParentId(long... taskParentId)

      Add one or more (task) parent ids as a criteria to the query
      Parameters:
        `taskParentId` - one or more longs
      Returns:
        the current `TaskQueryBuilder` instance

    - #### taskType

          TaskQueryBuilder taskType(String... taskType)

      Add one or more (task) types as a criteria to the query
      Parameters:
        `taskType` - one or more strings
      Returns:
        the current `TaskQueryBuilder` instance

    - #### workItemId

          TaskQueryBuilder workItemId(long... workItemId)

      Add one or more work item ids as a criteria to the query
      Parameters:
        `workItemId` - one or more longs
      Returns:
        the current `TaskQueryBuilder` instance

    - #### priority

          TaskQueryBuilder priority(int... priority)

      Add one or more priorities as a criteria to the query
      Parameters:
        `priority` - one or more ints
      Returns:
        the current `TaskQueryBuilder` instance

    - #### businessAdmin

          TaskQueryBuilder businessAdmin(String... businessAdminId)

      Add one or more business administrator (user) ids as a criteria to the query
      Parameters:
        `businessAdminId` - one or more strings
      Returns:
        the current `TaskQueryBuilder` instance

    - #### potentialOwner

          TaskQueryBuilder potentialOwner(String... potentialOwnerId)

      Add one or more potential owner ids as a criteria to the query
      Parameters:
        `potentialOwnerId` -
      Returns:
        the current `TaskQueryBuilder` instance

    - #### stakeHolder

          TaskQueryBuilder stakeHolder(String... stakeHolderId)

      Add one or more stake holder (user) ids as a criteria to the query
      Parameters:
        `stakeHolderId` - one or more strings
      Returns:
        the current `TaskQueryBuilder` instance

    - #### ascending

          TaskQueryBuilder ascending(TaskQueryBuilder.OrderBy orderBy)

      Order the results in ascending order by the given parameter results are ordered by default by task id.
      Parameters:
        `orderBy` -
      Returns:
        the current `TaskQueryBuilder` instance

    - #### descending

          TaskQueryBuilder descending(TaskQueryBuilder.OrderBy orderBy)

      Order the results in descending order by the given parameter results are ordered by default by task id.
      Parameters:
        `orderBy` -
      Returns:
        the current `TaskQueryBuilder` instance

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.